Cancel a running recipient analysis of a Smart Campaign
1 min
DELETE
https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/analysis
Path Parameters
- clientIdinteger<int64>requiredDescriptionFormatint64
- campaignIdinteger<int64>requiredDescriptionFormatint64
Responses
204
404
409
curl
curl --request DELETE \
--url https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/analysis \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/analysis", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/analysis")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/analysis"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
204
// The recipient analysis of the Smart Campaign was cancelled successfully.
404
// There is no recipient analysis for the specified Smart Campaign.
409
// The recipient analysis of the Smart Campaign could not be cancelled because it is not running.